    this.<%= variablenamify(variable) %>IsChecked = this.<%= variableInput(__element__) %>.monitor().values()
        .pipe(
            map((value) => {<% if (__element__.conditionOn) { %>
                return <%= __element__.conditionOn %>;
                <% } else { %>
                return Boolean(value);
                <% } %>})
        );